Bug 64954 - kde3: configuring ktalkd in kcontrol
Summary: kde3: configuring ktalkd in kcontrol
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kcontrol (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-15 00:47 UTC by Achim Mueller
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 19:43:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Achim Mueller 2002-05-15 00:47:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
When trying to configure ktalkd in kcontrol the following error message occurs:
"/usr/lib/kde3/libkcm_ktalkd-gcc2.96.so: cannot open shared object file". No
chance to configure ktalkd 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open kcontrol
2.Go to Network - Talk Configuration

	

Actual Results:  Error message

Additional info:

Comment 1 Wil Cooley 2002-05-17 19:29:39 UTC
This isn't merely a kcontrol bug; it's a bug in the packaging 
of ktalkd.  The ktalkd package has libkcm_ktalkd.so symlinked 
to the afforementioned file, but the file does not exist. 
 
$ rpm -qvl ktalkd |grep libkcm 
-rwxr-xr-x    1 root    root             1174 Apr 17 08:01 
/usr/lib/kde3/libkcm_ktalkd.la 
lrwxrwxrwx    1 root    root               24 Apr 17 08:04 
/usr/lib/kde3/libkcm_ktalkd.so -> libkcm_ktalkd-gcc2.96.so 


Comment 2 Josiah Royse 2002-06-13 18:45:15 UTC
I changed this line in the kdenetwork.spec file (removed the "."):

[root@emperor SPECS]# diff kdenetwork.spec kdenetwork.spec.josiah
344c344
< %{_libdir}/kde3/libkcm_ktalkd.*
---
> %{_libdir}/kde3/libkcm_ktalkd*
[root@emperor SPECS]#

And it adds the file:
/usr/lib/kde3/libkcm_ktalkd-gcc2.96.so

to the original ktalkd rpm file contents:
..snip..
/usr/lib/kde3/libkcm_ktalkd.la
/usr/lib/kde3/libkcm_ktalkd.so
..snip..

Comment 3 Elliot Lee 2004-08-23 19:43:12 UTC
Closing bugs for old packages that have no maintainer.


Note You need to log in before you can comment on or make changes to this bug.